Bug 971157 - sync doesn't skip types
sync doesn't skip types
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Michael Hrivnak
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 16:10 EDT by Michael Hrivnak
Modified: 2013-09-10 11:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:43:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hrivnak 2013-06-05 16:10:13 EDT
Per the --skip option on "pulp-admin rpm repo create", the sync process should be able to skip specific types. It currently does not.
Comment 1 Michael Hrivnak 2013-06-05 16:16:28 EDT
https://github.com/pulp/pulp_rpm/pull/226
Comment 2 Jeff Ortel 2013-06-11 10:16:08 EDT
build: 2.2.0-0.3.beta
Comment 3 Preethi Thomas 2013-06-13 09:41:55 EDT
[root@hp-dl360g6-01 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.3.beta.fc18.noarch
[root@hp-dl360g6-01 ~]# 

[root@hp-dl360g6-01 ~]# pulp-admin rpm repo create --repo-id zoo.repo --feed http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/zoo/ --skip rpm,erratum
Successfully created repository [zoo.repo]

[root@hp-dl360g6-01 ~]# time pulp-admin  rpm repo sync run --repo-id zoo.repo
+----------------------------------------------------------------------+
                  Synchronizing Repository [zoo.repo]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing package groups/categories...
[-]
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[-]
... completed

Publishing repository over HTTPS
[-]
... completed


real	0m2.824s
user	0m0.388s
sys	0m0.034s
[root@hp-dl360g6-01 ~]# 

[root@hp-dl360g6-01 ~]# pulp-admin rpm repo create --repo-id rhel6-2 --feed  https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6.2/x86_64/os/ --feed-ca-cert CDN/cdn.redhat.com-chain.crt --feed-cert CDN/1359391926_4512.crt  --feed-key CDN/1359391926_4512.key --skip erratum,distribution
Successfully created repository [rhel6-2]

[root@hp-dl360g6-01 ~]# 
[root@hp-dl360g6-01 ~]# 
[root@hp-dl360g6-01 ~]# time pulp-admin  rpm repo sync run --repo-id rhel6-2
+----------------------------------------------------------------------+
                   Synchronizing Repository [rhel6-2]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[|]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       7281/7281 items
Delta RPMs: 0/0 items

... completed

Importing package groups/categories...
[|]
... completed

Publishing packages...
[==================================================] 100%
Packages: 7281/7281 items
... completed

Generating metadata
[-]
... completed

Publishing repository over HTTPS
[-]
... completed


real	68m33.958s
user	1m5.455s
sys	0m4.450s


[root@hp-dl360g6-01 ~]# pulp-admin  rpm repo create --repo-id f18 --feed http://download.devel.redhat.com/released/F-18/GOLD/Fedora/x86_64/os/ --skip distribution,drpm
Successfully created repository [f18]

[root@hp-dl360g6-01 ~]# time pulp-admin  rpm repo sync run --repo-id f18 
+----------------------------------------------------------------------+
                     Synchronizing Repository [f18]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       4165/4165 items
Delta RPMs: 0/0 items

... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[\]
... completed

Publishing packages...
[==================================================] 100%
Packages: 4165/4165 items
... completed

Generating metadata
[|]
... completed

Publishing repository over HTTPS
[-]
... completed


real	7m55.867s
user	0m7.642s
sys	0m0.520s
Comment 4 Preethi Thomas 2013-09-10 11:43:54 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.